<template lang="pug">
  .brandBack
    <canvas id="canvas" width="747" height="522" style="display: block;"></canvas>

    //- .count {{ getCountFN }}x - it's if it use for computed svoistvo

    .count {{ count }}x

    //- .navAnim(@click="goFN()") go
    //- .navAnim(@click="awayFN()") away
      
     
</template>

<script>
export default {
  name: "MiddleBar",
  props: {
    myVar: {
      type: Boolean
    }
  },
  data() {
    return {
      count: 1.75,
      varFromWebsocket: 1.2
    };
  },

  methods: {
    goFN() {

      //window.stage.children[0].main.animation.gotoAndPlay("go");
      return setTimeout(() => {
        this.count = this.count * this.varFromWebsocket;
      }, 1000);
    },

    awayFN() {

      return setTimeout(() => {
        this.count = this.count * this.varFromWebsocket;
      }, 1000);
    }
  },

  // computed: {
  //   getCountFN() {
  //     return setTimeout(function() {
  //       this.count * this.varFromWebsocket;
  //     }, 5000);
  //   }
  // },
  
};
</script>

<style lang="scss" scoped>

button {
  position: absolute;
  top: 20%;
}

#canvas {
  position: relative;
  margin: auto;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}

.count {
  position: absolute;
  font-size: 62px;
  font-weight: 700;
  color: #ff5b41;
}

.navAnim {
  position: absolute;
  padding: 5px 15px;
  margin: 5px;
  background: #ff5b41;
  border-radius: 20px;
  cursor: pointer;
  top: 100px;
  &:last-child {
    transform: translate(60px);
  }
}
</style>